package kz.cafe.client.rest.wrappers;

import java.util.*;
import javax.xml.bind.annotation.*;

@XmlRootElement(name="response")
public class JRDescriptorListResponse extends JRAbstractDeleteableResponse{

   @XmlElementWrapper(name="list")
   @XmlElement(name="item")
   public List<JMItem> items = new ArrayList<JMItem>();
   
   
   
   
   public JMItem add(){
      JMItem jmItem = new JMItem();
      items.add(jmItem);
      return jmItem;
   }
   
   
   
   public static class JMItem extends JMAbstractDescriptor{
   }
   
   
   
   public JRDescriptorListResponse(){
      super();
   }

   public JRDescriptorListResponse(Throwable e){
      super(e);
   }
}
